//function declarations 
#include "DataStorage.h"
#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <numeric>

using namespace std;



#ifndef DataCalculations_H
#define DataCalculations_H

class DataCalculations : public DataStorage
{
private:
	double tr1, tr2, tr3;
	vector <double>trueRange, upChange, downChange, upChangeAvg, downChangeAvg;
	
protected:
	vector<double> sma, atr,rsi;

public:
	void SMA(size_t period);
	void ATR(double period);
	void relativeStrengthIndex(double period);
	
};



#endif //DataCalculations


