//function definitions

#include "DataStorage.h"
void extractIntegerWords(string str)
{
	
}

int DataStorage:: nameCheck(char data[]) 
{
		int inputTest = strcmp(data, "BTChist.csv"); //compare the two strings, if true output is 0.
		int input2Test = strcmp(data, "BTChist2.csv");
		int input3Test = strcmp(data, "BTChist3.csv");

		if (inputTest == 0)
			file.open("BTChist.csv");
		else if (input2Test == 0)
			file.open("BTChist2.csv");
		else if (input3Test == 0)
			file.open("BTChist3.csv");
		else
		{
			return 0;
		}
		return 1;
}

void DataStorage::storeData()
{
	if (high.size() < 1) //check to see if already parsed & stored
	{
		//clear all vectors
	}
	cout << right << setw(17) << "Date:" << setw(16) << "Open:" << setw(16) << "High:" << setw(16) << "Low:" << setw(16) << "Close:" << setw(16) << "Volume:" << setw(16) << "Market Cap:" << endl;
		getline(file, line); //skips first line
		while (getline(file, line)) //"file" is the ifstream declared, and saving into "line" 
		{
			stringstream ss(line);
			getline(ss, date, ',');
			getline(ss, year, ',');

			stringstream ss1;

			/* Storing the whole string into string stream */
			ss1 << date;

			/* Running loop till the end of the stream */
			string temp;
			int found;
			while (!ss1.eof())
			{
				/* extracting word by word from stream */
				ss1 >> temp;

				/* Checking the given word is integer or not */
				if (stringstream(temp) >> found)
					day.push_back(found);

				/* To save from space at the end of string */
				temp = "";
			}
			cout << setw(14) << date << " " << year << char(179);

			for (int i = 0; i < 6; i++)// loops through the remaining 6 columns	
			{
				string field;
				double fieldData;
				getline(ss, field, ','); // read next field, might fail
				stringstream fss(field); //turns field into a string that can be altered
				fss >> fieldData; // adds fieldData value into fss stream
				cout << setw(14) << fieldData << " " << char(179);
				
				//storing values of each column in vector
				if (i == 0)
					open.push_back(fieldData); //stored in DataStorage.h
				else if (i == 1)
					high.push_back(fieldData);
				else if (i == 2)
					low.push_back(fieldData);
				else if (i == 3)
					close.push_back(fieldData);
				else if (i == 4)
					cap.push_back(fieldData);
				else if (i == 5)
					vol.push_back(fieldData);

			}
			cout << endl;
		}
	
}

