#include <iostream>
#include "CandleCharting.h"


using namespace std;


int main()
{
	char fileName[30];
	ChartData data;
	int nameCheck = 0;
	cout << "Which table would you like to graph?" << endl;
	cout << "BTChist.csv, BTChist2.csv, or BTChist3.csv" << endl;
	while ( nameCheck < 1)
	{
		cin >> fileName;
		int test = data.nameCheck(fileName);
		if (test == 1)
			nameCheck++;
		else if (test == 0)
		{
			cout << endl;
			cout << "--------------------------" << endl;;
			cout << "Couldn't open file" << endl;
			cout << "Please make sure you've correctly typed the filename" << endl;
			cout << endl;
			cout << "Which table would you like to graph?" << endl;
			cout << "BTChist.csv, BTChist2.csv, or BTChist3.csv" << endl;
			cout << "--------------------------";
			cout << endl;
		}
	}

		data.storeData();
		cout << endl;
		data.chart();
		cout << endl;
		data.volBarChart();
		cout.precision(5);
		cout << endl;
		size_t smaPeriod;
		cout << "Input an integer for the period setting for the Simple Moving Average" << endl;
		cin >> smaPeriod;
		data.SMA(smaPeriod);
		data.chartMAs(smaPeriod);

		double atrPeriod;
		cout << endl;
		cout << "Input an integer for the period setting for the Average True Range" << endl;
		cin >> atrPeriod;
		data.ATR(atrPeriod);
		data.chartATR(atrPeriod);

		double rsiPeriod;
		cout << endl;
		cout << "Input an integer for the period setting for the Relative Strength Index" << endl;
		cin >> rsiPeriod;
		data.relativeStrengthIndex(rsiPeriod);
		data.chartRSI(rsiPeriod);

}